/*
 * global.h
 *
 *  Created on: Oct 13, 2024
 *      Author: true
 */

#ifndef USER_GLOBAL_H_
#define USER_GLOBAL_H_

#include <stdint.h>



#define SYSCLK_FREQ_NORMAL      CLK_SOURCE_HSE_16MHz
#define SYSCLK_FREQ_USEI2C      CLK_SOURCE_PLL_32MHz



extern const uint8_t vers[];

extern uint8_t cpu_use;
extern uint8_t cpu_max;

extern uint32_t uptime;
extern uint16_t uptime_hour;
extern uint8_t  uptime_min;
extern uint8_t  uptime_sec;



#endif /* USER_GLOBAL_H_ */
